[Numpy-discussion] OSX 10.4 installation problems

mhgreen@uchicag... mhgreen@uchicag...
Sat Mar 29 13:04:44 CDT 2008


Hi,

I cannot seem to install numpy on my mac.  Here is some
relevant info:

I have the following installed on my PPC G4 powerbook:

MacOSX 10.4.10
gcc version 4.0.0 
gfortran version 4.2.1
fftw version 3.1.2
MacPython version 2.5.2
Xcode version 2.0

I have the unzipped numpy directory placed in
/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages

I am using the following command in terminal to try to install:

python setup.py install

I am getting a ton of errors, but the first few include:

Could not locate executable f95
Could not locate executable f90
Could not locate executable f77
Could not locate executable xlf90
Could not locate executable xlf
Could not locate executable ifort
Could not locate executable ifc
Could not locate executable g77

gcc: installation problem, cannot exec
'i686-apple-darwin8-gcc-4.0.0': No such file or directory

And after that an assortment of probably at least 100 errors.

Any help would be appreciated!

Thanks.

Matt


More information about the Numpy-discussion mailing list